<?xml version="1.0" encoding="ISO-8859-1" ?> 
<application targetNamespace="http://www.w3.org/2001/XMLSchema" xmlns="http://wadl.dev.java.net/2009/02" xmlns:xs="http://www.w3.org/2001/XMLSchema">
    <grammars></grammars>
    <resources base="http://mapy.geoportal.gov.pl/wss/service/SLN/guest/sln">
        <resource path="/adr">
            <resource path="/{czyUl:ul|miejsc}/{pn:.+}/{id}/{skr:skr|pel}.{format:json|xml|html|csv}">
                <param name="skr" style="template" type="xs:string"/>
                <param name="pn" style="template" type="xs:string"/>
                <param name="id" style="template" type="xs:string"/>
                <param name="czyUl" style="template" type="xs:string"/>
                <param name="format" style="template" type="xs:string"/>
                <method name="GET">
                    <doc></doc>
                    <request></request>
                    <response>
                        <representation mediaType="application/xml"></representation>
                        <representation mediaType="application/json"></representation>
                        <representation mediaType="text/plain"></representation>
                        <representation mediaType="text/csv"></representation>
                    </response>
                </method>
            </resource>
        </resource>
        <resource path="/ul">
            <resource path="/{pn:.+}/{id}/{skr:skr|pel}.{format:json|xml|html|csv}">
                <param name="skr" style="template" type="xs:string"/>
                <param name="pn" style="template" type="xs:string"/>
                <param name="id" style="template" type="xs:string"/>
                <param name="format" style="template" type="xs:string"/>
                <method name="GET">
                    <doc></doc>
                    <request></request>
                    <response>
                        <representation mediaType="application/xml"></representation>
                        <representation mediaType="application/json"></representation>
                        <representation mediaType="text/plain"></representation>
                        <representation mediaType="text/csv"></representation>
                    </response>
                </method>
            </resource>
        </resource>
        <resource path="/miejsc">
            <resource path="/{pn:.+}/{id}/{skr:skr|pel}.{format:json|xml|html|csv}">
                <param name="skr" style="template" type="xs:string"/>
                <param name="pn" style="template" type="xs:string"/>
                <param name="id" style="template" type="xs:string"/>
                <param name="format" style="template" type="xs:string"/>
                <method name="GET">
                    <doc></doc>
                    <request></request>
                    <response>
                        <representation mediaType="application/xml"></representation>
                        <representation mediaType="application/json"></representation>
                        <representation mediaType="text/plain"></representation>
                        <representation mediaType="text/csv"></representation>
                    </response>
                </method>
            </resource>
        </resource>
        <resource path="/gmi">
            <resource path="/{pn:.+}/{id}/{skr:skr|pel}.{format:json|xml|html|csv}">
                <param name="skr" style="template" type="xs:string"/>
                <param name="pn" style="template" type="xs:string"/>
                <param name="id" style="template" type="xs:string"/>
                <param name="format" style="template" type="xs:string"/>
                <method name="GET">
                    <doc></doc>
                    <request></request>
                    <response>
                        <representation mediaType="application/xml"></representation>
                        <representation mediaType="application/json"></representation>
                        <representation mediaType="text/plain"></representation>
                        <representation mediaType="text/csv"></representation>
                    </response>
                </method>
            </resource>
        </resource>
        <resource path="/pow">
            <resource path="/{pn:.+}/{id}/{skr:skr|pel}.{format:json|xml|html|csv}">
                <param name="skr" style="template" type="xs:string"/>
                <param name="pn" style="template" type="xs:string"/>
                <param name="id" style="template" type="xs:string"/>
                <param name="format" style="template" type="xs:string"/>
                <method name="GET">
                    <doc></doc>
                    <request></request>
                    <response>
                        <representation mediaType="application/xml"></representation>
                        <representation mediaType="application/json"></representation>
                        <representation mediaType="text/plain"></representation>
                        <representation mediaType="text/csv"></representation>
                    </response>
                </method>
            </resource>
        </resource>
        <resource path="/">
            <resource path="woj.{format:json|xml|html|csv}">
                <param name="format" style="template" type="xs:string"/>
                <method name="GET">
                    <doc></doc>
                    <request></request>
                    <response>
                        <representation mediaType="application/xml"></representation>
                        <representation mediaType="application/json"></representation>
                        <representation mediaType="text/plain"></representation>
                        <representation mediaType="text/csv"></representation>
                    </response>
                </method>
            </resource>
        </resource>
    </resources>
</application>
